puts the fun newLISP button back in Lisp

Downloads

If upgrading from a previous version please read the Release Notes v.10.7.1 first.

Windows installer v.10.7.1

Containing: newLISP executable, Java based GUI IDE frontend, Win32/64 DLL (only required for embedded newLISP), modules, graphics examples and documentation in HTML:
On some Windows versions, a Java Runtime Environment (JRE currently v1.8) must be installed when using the GUI. See: http://www.java.com/download.

macOS Intel 64-bit installer v.10.7.1

Minimum OS version is Mac OS X Snow-Leopard 10.5, UTF-8 enabled by default.
Since Mac OS X Lion 10.7, a Java Runtime Environment (JRE) must be installed when using the GUI.
See: download legacy Java 1.6 for OSX.

Ubuntu Linux Debian 64-bit installer v.10.7.1

The normal and the UTF-8 package where compiled, packaged on Ubuntu v.16.04 and tested on 64-bit Ubuntu 16.04 with Java JRE v.1.8. To run the java based GUI server, it may also be necessary to install a JRE (java runtime environment) from java.com, After installing the JRE, a softlink may be necessary to /usr/bin/java.
The packages can be installed from the commandline using:
   sudo dpkg -i newlisp_x.x.x-xxxxx.deb

Source distribution v.10.7.1

Contains source, all examples, HTML documentation and packages for database access: MySQL, SQLite and ODBCO-Win32 and internet protocols: CGI, FTP, POP3 and SMTP and other modules.

On LINUX or other UNIX the GCC compiler is required for making newLISP in either 64-bit or 32-bit versions. On Win32/64 MinGW is required.

Install Script for Gentoo

For Gentoo Linux: newlisp-10.7.1.ebuild.

Other older downloads for other platforms found here



copyleft